Adding an Adapter

Adapters cannot be added through the Device Manager or Main Setup window. Instead, use the Add New Hardware Wizard.

  • Your computer's Plug and Play feature should recognize the PCI-bus adapters, which should automatically launch the Add Hardware wizard.

  • If Plug and Play does not recognize your PCI adapter, or if you have installed an external Ethernet adapter, follow these steps after installing the hardware and restarting your system:

  1. On the Windows desktop, right-click the My Computer icon.

  2. Click Properties. The System Properties window appears.

  3. Select the Hardware tab.

  4. Click the Hardware Wizard button. The Add New Hardware Wizard starts.

  5. Follow the on-screen instructions to add a new device. Choose a hardware device, and select the Add a new device row. Click the Next button.

  6. Select No, I want to select the hardware from a list when prompted.

  7. Select Multi-port serial adapters when asked to choose the type of hardware to install. All Comtrol products are considered multi-port serial adapters. You are prompted to select the manufacturer and model to install.

  8. Select Comtrol Corporation as the manufacturer, then select the Comtrol product you wish to install, and click Next.

  9. Follow the instructions on-screen to verify your selections and finish the driver installation process.

After you complete driver installation, additional steps may be necessary to configure your ports and/or modems.


Removing an Adapter

Adapters cannot be removed through the Main Setup window. Instead, follow these steps:

  1. On the Windows desktop, right-click on the My Computer icon.

  2. Click Properties. The System Properties window appears.

  3. Select the Hardware tab.

  4. Click the Device Manager button. The Device Manager window appears.

  5. Find the Multi-port serial adapters entry and click the [+] button to expand the list.

  6. Right-click on the adapter you want to disable or uninstall. A menu appears.

  7. Select Disable to disable the device in the current hardware profile but not remove it, Uninstall to completely remove the adapter, or Properties to display the Device Properties window. (If you prefer, you can disable or enable the adapter by changing the Device usage field on the Device Properties window, General tab.)

  8. Alternatively, after selecting the adapter in Step 6, you can remove it by pressing the Delete key.

  9. Click OK to save your selection and exit the Device Manager window.


IDD_DEVICE_SETUP

Device Properties

After you select an adapter in the Properties window, click the Properties button. The Device Properties window and Device Setup tab appears. Use the options in this window to:

  • Assign descriptive names to adapters.

  • Assign a starting COM port number to the first port on each adapter.

When you are done, click the OK button to save your changes and return to the Main Setup window, or click the Cancel button to discard your changes and return to the Main Setup window.

Related Topics:

Adapter Summary

Adapter Name

Starting COM Port


Viewing/Changing Port Configuration

Follow these steps to view or change port configuration. From the Main Setup tab:

  1. In the Configuration list, click on the [+] button for the adapter on which you wish to work. The list of ports on the adapter appears.

  2. Click on the port that you want to work with.

  3. Click the Properties button. The Port Properties window appears. At a minimum, this window contains a Port Setup tab. If you have installed a RocketModem, a Modem tab also appears. If you have enabled RS-485 (on the Main Setup - Options tab), an RS-485 tab appears as well.

  4. Change the port configuration as desired.

  5. Click the OK button to exit the Port Properties window and return to the Main Setup window.

  6. Click the OK button to save and exit from the Main Setup window. Your changes are not saved until you do so.

Related Topics

Port Setup

RS-485 options

Modem options


Configuring a RocketModem

RocketModem adapters are designated as such when you add them in the Add New Hardware Wizard.

After you install the RocketModem, you can review the adapter configuration in the Device Properties window. You can also use the Resources tab to change the base I/O address, if required.

However, if the number of ports or bus type options are configured incorrectly, you must remove and re-add the RocketModem in order to resolve this problem.


IDD_PORT_MODEM_OPTIONS

Port Properties - Modem tab

The Modem options tab is displayed only if you have installed a Comtrol modem product, then selected a modem port in the Main Setup window, and clicked the Properties button.

The exact options available in this window will vary depending on the Comtrol product you have installed. For example, most RocketModem models support the Reset function.


Configuring a RocketPort Plus

The RocketPort Plus is a PCI-bus adapter designed to operate at baud rates up to 921.6K bps. This is a Plug and Play adapter.

The RocketPort Plus is also sensitive to scan rate. To take full advantage of the potential speed of the adapter, go to the Options tab and set the scan rate to 2 milliseconds or less.


Using Baud Rates above 230.4K bps

In its default configuration, the RocketPort/RocketModem Windows device driver software supports baud rates up to 230.4K bps. However, the RocketPort Quad/OctaCable hardware series supports baud rates to 460.8K bps, and the RocketPort Plus supports baud rates to 921.6K bps. (See your Hardware Reference Card to determine the range of baud rates supported by your hardware.)

To take advantage of the potential speed of certain RocketPort models, follow these steps:

  1. Access the Options tab on the Properties window.

  2. Set the scan rate to 4 ms (460.8K bps) or 2 ms (921.6K bps). You can reduce the scan rate to 1 millisecond, but this is not generally necessary.

  3. On the Main Setup tab, select a port that you wish to use at high speed, and click the Properties button. The Port Properties window appears.

  4. Use the Override and lock baud rate option to set the baud rate for the port. After you do so, regardless of the baud rate set in the application, the actual rate used by the port will be this one.

  5. If desired, use the Clone option to apply this baud rate lock to all RocketPort ports in the system.

  6. Click the OK button to save the changes and return to the Main Setup tab.

  7. If you did not use the Clone option, repeat Steps 3 through 6 for each port you wish to use at high speed. You can set a different locked baud rate for each port selected.

  8. On the Properties window, click the OK button to save the changes and exit.


Technical Support

Comtrol manuals and other documents are available in electronic form on the Comtrol Web site. You can download driver software updates from the Comtrol ftp site. Always check the Web and ftp sites to make sure that you have the current driver and documentation.

Comtrol has a staff of support technicians available to help you. Telephone support is available during central standard time business hours, Monday through Friday (holidays excluded).

Corporate Headquarters

Web site: http://www.comtrol.com

E-mail: support@comtrol.com

FTP site: ftp://ftp.comtrol.com

FAX: (763) 494-4199

Phone: (763) 494-4100

Comtrol Europe

Web site: http://www.comtrol.co.uk

E-mail: support@comtrol.co.uk

FAX: +44 (0) 1 869-323-211

Phone: +44 (0) 1 869-323-220


IDD_MAIN_DLG

Main Setup

From the Main Setup tab, you can:

  • View and change adapter configuration.

  • View and change port configuration.

  • Use the functions on the Options tab to set driver-level configuration.

  • Use the functions on the Driver tab to view driver details, update the driver, or uninstall the driver.

  • Use the functions on the Resources tab to change the driver I/O address.

  • Click the Cancel button to abandon any changes you have made and exit the Properties window.

  • Click the OK button to save your changes and exit the Properties window.

Related Topics:

Adding an Adapter

Removing an Adapter

Driver-level Options


LBOX_DEVICE

Configuration List

This list enables you to access the adapter and port configuration information.

  • To examine or change adapter configuration, click on the adapter, then click the Properties button.

  • To examine or change port configuration, click the [+] button to display the ports on the adapter, then click on the port in question and click the Properties button.

  • To shrink the list of ports after displaying them, click the [-] button by the adapter name.


VERSION

Version Number

Comtrol displays the driver software version number in the Main Setup window, under the Configuration window. You will need this information if you contact Comtrol Technical Support.

Always make sure you have the current software for your Comtrol product. Software and documentation updates can be downloaded from the Comtrol Web (http://www.comtrol.com) or ftp (ftp://ftp.comtrol.com) sites.


IDD_DRIVER_OPTIONS

Options Tab

Use the controls on the Options tab to set high-level driver options:

  • Verbose Event Log. Select this check box to cause longer messages to be sent to the Windows Event Log. (You can access this log through the Administrative Tools, Event Viewer option.) This added information can be useful when debugging communications and configuration problems.

  • Scan Rate. If you are using baud rates above 230.4K bps, use this droplist to select a faster servicing rate. (For example, select 4 ms for 460.8K bps, or 2 ms for 921.6K bps.) Click here for more information.

  • Enable RS-485. If you are using a standard RocketPort with external RS-232 to RS-485 adapters, select this check box to enable RS-485 operations.

Click the Defaults button to reset all controls to their factory default settings.


IDD_PORT_OPTIONS

Port Properties

After you select a port and click the Properties button, the Port Setup window appears. Use the options in this window to:

  • Set general port options.

  • Choose whether the options selected apply to a single port or to all ports.

  • Set additional adapter-specific options.

When you are done, click the OK button to save your changes and to return to the Main Setup tab, or click the Cancel button to discard your changes and return to the Main Setup tab.

Related Topics:

Override and lock baud rate

Timeout on transmit data

Map CD to DSR

Map 2 stop bits to 1

Wait on physical transmission

Emulate modem hardware RING signal

Clone

The Modem tab

The RS-485 tab


PORT_LOCKBAUD

Port Properties - Override and lock baud rate

This option lets you lock the selected port to a specific baud rate. After you do so, no matter what baud rate is selected in a host application, the actual rate used is the rate specified here.

Use the droplist to select the baud rate.

Notes

  • Not all rates are supported by all Comtrol products. See your Hardware Reference Card to determine if your adapter supports the desired rate.

  • To use rates about 230.4K bps, you must also reset the scan rate. This control is found on the Options tab.

  • If you select the Clone check box, the rate you select here applies to all Comtrol ports in the system. If you leave the Clone check box blank, you can select different rates for individual ports.


PORT_WAIT_ON_CLOSE

Port Properties - Timeout on transmit data

Use the droplist to select the length of time to wait for data to clear the transmit buffer, after a host application has closed the port.

This is typically used with slower peripheral devices such as printers to give the data sufficient time to flush through the system.


MAP_CDTODSR

Port Properties - Map CD to DSR

This option is used in installations where there is no connection to the port’s DSR input. Select this check box to cause the CD input to appear as DSR to the host application and to perform hardware handshaking with CD rather than DSR.


MAP_2TO1

Port Properties - Map 2 stop bits to 1

Select this check box to map 2 stop bits to 1 bit.

Leave this check box blank to enable stop bits to pass through unchanged.


PORT_WONTX

Port Properties - Wait on physical transmission

This option forces all write packets to wait until the transmit data has physically completed the transmission before returning completion to the host application. The default mode (the check box is blank) is to buffer the data in the transmit hardware buffer, and return completion as soon as the packet is in the buffer.


RING_EMULATE

Port Properties - Emulate modem hardware RING signal

If you have a RocketPort Plus, leave this check box blank. The RocketPort Plus supports RING in hardware and does not need signal emulation.

If this check box is selected, then when the port receives a Carrier Detect (or an alternate code, as defined in the AT command set for the modem), it sends a RING code to the host application.


CLONE

Port Properties - Clone

If this check box is blank, the changes you make to the Port Setup options apply to the selected port only.

If this check box is selected, the changes you make to the Port Setup options are applied to all Comtrol ports in the system.


IDD_PORT_485_OPTIONS

Port Properties - RS-485 tab

The RS-485 tab appears only if you select Enable RS-485 options for all devices check box on the Options tab. Then in the Main Setup tab, select a port and click the Properties button. There are two check boxes on this tab:

  • Override and lock to RS-485 toggle mode: Select this check box to switch the selected port to RS-485 mode.

  • RS-485 Toggle RTS low: Select this check box to toggle the RTS output signal low during data transmission. If this check box is blank, RTS is toggled high (asserted) during data transmission.

Note

To use RS-485, you must have a standard RocketPort with an external RS-485 adapter. For information about external adapters, see the documentation that came with the external adapter.


.topic 1150
This option forces all write packets to wait until the transmit data has physically completed the transmission before returning completion to the host application. The default mode (the check box is blank) is to buffer the data in the transmit hardware buffer, and return completion as soon as the packet is in the buffer.

.topic 1155
This option is used in installations where there is no connection to the port’s DSR input. Select this check box to cause the CD input to appear as DSR to the host application and to perform hardware handshaking with CD rather than DSR.

.topic 1014
This line shows a summary of the adapter description, including model, number of ports, and bus type. The Add/Remove Hardware wizard defines this description, and it cannot be changed after installation.  See Help for more information.

.topic 1015
If an additional adapter description is needed, the information appears on this line. The Add New Hardware Wizard defines this description, and it cannot be changed after installation.  See Help for more information.

.topic 1098
Click the Reset button to reset the selected modem to its default (power-on) state. See Help for more information.

.topic 1093
To view or change the properties of an installed adapter, select the adapter in the Configuration list, then click the Properties button.  To view or change the properties of a specific port, click the [+] button by the adapter name to display the ports on the adapter, then select a port and click the Properties button.

.topic 1019
If you are not using RS-485, leave this check box blank.  If you are using a standard RocketPort with an external RS-232 to RS-485 converter, select this check box to permit RS-485 operation.

.topic 1016
If this check box is blank, the changes you make to the Port Setup options apply to the selected port only.  If this check box is selected, the changes you make to the Port Setup options are applied to all Comtrol ports in the system.

.topic 1156
Select this check box to map 2 stop bits to 1 bit. Leave this check box blank to enable stop bits to pass through unchanged.

.topic 1096
Comtrol displays the driver software version number in the Main Setup window, under the Configuration window. You will need this information if you contact Comtrol Technical Support.

.topic 1151
Select this check box to toggle the RTS output signal low during data transmission. If this check box is blank, RTS is toggled high (asserted) during data transmission.

.topic 1089
Click the Defaults button to reset the options to their factory default settings.

.topic 314
Use the droplist to select the first COM port number to assign to the first port on the adapter. All other port numbers will follow in sequence. See Help for more information.

.topic 308
This list enables you to access the adapter and port configuration information.  See Help for more information.

.topic 1154
Use the droplist to select the baud rate. This option lets you lock the selected port to a specific baud rate. After you do so, no matter what baud rate is selected in a host application, the actual rate used is the rate specified here. See Help for more information.

.topic 1153
Use the droplist to select the length of time to wait for data to clear the transmit buffer, after a host application has closed the port. See Help for more information.

.topic 1085
If you are using baud rates above 230.4K bps, use this droplist to select a faster servicing rate. See Help for more information

.topic 1086
Select this check box to cause longer messages to be sent to the Windows 2000 Event Log. (This log can be accessed through the Administrative Tools Event Viewer option.) This added information could be useful when you are debugging communications and configuration problems

.topic 1152
Select this check box to switch the selected port to RS-485 mode. If this check box is blank, the port will attempt to operate in RS-232 mode. If the port has been jumpered for RS-485 operation manually, it may not operate correctly in RS-232 mode.

.topic 309
The Add New Hardware Wizard assigns a default name to each adapter. Use this field to enter a more descriptive name, if desired. The name that you assign is not saved until you click the OK button to exit the Device Setup window.

.topic 1184
If you have a RocketPort Plus, leave this check box blank. The RocketPort Plus supports RING in hardware and does not need signal emulation. If this check box is selected, then when the port receives a Carrier Detect (or an alternate code, as defined in the AT command set for the modem), it sends a RING code to the host application.


CBOX_SC

Device Properties - Starting COM Port Number

Use the droplist to select the first COM port number to assign to the first port on the adapter. All other port numbers will follow in sequence.

If you have more than one adapter installed, the numbering on subsequent adapters will follow in sequence from the first adapter. (For example, if the first adapter has COM5 through COM12, the second adapter will begin with COM13.) If desired, you can use this control to set nonsequential starting COM port numbers for each adapter, thus leaving gaps in the COM port numbering sequence.

Do not use this control to overlap COM port numbers. If you do so, the overlapping ports will be disabled.


CBOX_SCAN_RATE

Driver Options - Scan Rate

If you are using baud rates above 230.4K bps, use this droplist to select a faster servicing rate.

The maximum baud rate attainable depends on the exact Comtrol product installed. For example, if you are driving a RocketPort OctaCable at 460.8K bps, select 4 ms. If you are driving a RocketPort Plus at 921.6Kbps, select 2 ms.

See your Hardware Reference Card to determine the range of baud rates supported by your Comtrol product.


Copyrights and Trademarks

All contents Copyright ©2001 Comtrol Corporation. All Rights Reserved.

Comtrol Corporation makes no representations or warranties with regard to the contents of this documentation file or to the suitability of the Comtrol products for any particular purpose. Specifications subject to change without notice. Some software or features may not be available at the time of publication. Contact your reseller for current product information.

Trademarks

Comtrol and RocketModem are trademarks of Comtrol Corporation.

RocketPort is a registered trademark of Comtrol Corporation.

Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation.

Other product names mentioned herein may be trademarks and/or registered trademarks of their respective companies.


DEF

Defaults

Click the Defaults button to reset the options to their factory default settings.


EB_NAME

Device Properties - Name

The Add New Hardware Wizard assigns a default name to each adapter. Use this field to enter a more descriptive name, if desired. The name that you assign is not saved until you click the OK button to exit the Device Setup window.


GLOBAL485

Driver Options - Enable RS-485 options for all devices

If you are not using RS-485, leave this check box blank.

If you are using a standard RocketPort with an external RS-232 to RS-485 converter, select this check box to permit RS-485 operation. Then use the options on the Port Properties - RS-485 tab to configure individual ports for RS-485 use.


LBL_SUMMARY1

Device Properties - Summary Label

This line shows a summary of the adapter description, including model, number of ports, and bus type. The Add New Hardware Wizard defines this description, and it cannot be changed after installation.

If the information on this line indicates that the adapter was configured incorrectly during installation, the adapter must be removed and reinstalled.


LBL_SUMMARY2

Device Properties - Summary Label Line 2

If an additional adapter description is needed, the information appears on this line. The Add New Hardware Wizard defines this description, and it cannot be changed after installation.

If the information on this line indicates that the adapter was configured incorrectly during installation, the adapter must be removed and reinstalled.


PORT_RS485_LOCK

Port Properties - Override and lock to RS-485

Select this check box to switch the selected port to RS-485 mode. If this check box is blank, the port will attempt to operate in RS-232 mode. If the port has been jumpered for RS-485 operation manually, it may not operate correctly in RS-232 mode.


PORT_RS485_TLOW

Port Properties - Toggle RTS Low

Select this check box to toggle the RTS output signal low during data transmission. If this check box is blank, RTS is toggled high (asserted) during data transmission.


RESET

Port Properties - Modem Reset

Click the Reset button to reset the selected modem to its default (power-on) state.

This option resets only the individual RocketModem on the selected COM port on the selected RocketModem adapter.

This option cannot be used to reset non-Comtrol modems.

Note: Some RocketModem models do not support the reset function. If you are not certain whether your model supports Reset, see the Hardware Reference Card.


VERBOSE

Driver Options - Verbose Event Log

Select this check box to cause longer messages to be sent to the Windows Event Log. (This log can be accessed through the Administrative Tools Event Viewer option.) This added information could be useful when you are debugging communications and configuration problems